# 🎼 Mixtape Maker

**A nostalgic web-based mixtape Maker that lets you create digital mixtapes with your MP3 files.** This project recreates the classic experience of making mixtapes, complete with reel-to-reel animation and precise timing controls.

![Mixtape Maker Preview](readme/thumbnail.jpg)

## ✨ Features

- **📀 Drag-and-Drop Playlist Management**
- **⏱️ Configurable Track Gaps** (customize silence between songs)
- **📏 Tape Length Simulation** (set your virtual tape's capacity)
- **🎚️ Real-time Volume Visualization**
- **🎬 Animated Reel-to-Reel Display**
- **📊 Progress Tracking** with remaining time display
- **💾 Local-only Processing** - no server uploads
- **🎨 Beautiful Catppuccin-inspired Dark Theme**

## 🚀 Quick Start

1. **Download the Project**
   ```bash
   git clone https://git.donaberger.xyz/mitch/mixtape-maker
   # OR
   # Download the ZIP file from Releases
   ```

2. **Launch the Application**
   - Simply open `index.html` in your web browser.
   - _No server required!_

## 💡 How It Works

1. **Upload MP3 Files**: Select your MP3 files using the file input
2. **Configure Settings**:
   - Set tape length (in minutes)
   - Adjust gap between tracks (in seconds)
3. **Arrange Playlist**: Drag and drop tracks to reorder
4. **Record**: Click "Record to Tape" to start the process

## ⚠️ Important Notes

- **Privacy First**: All processing happens locally in your browser
- **System Audio**: Records through your system's audio mixer
- **Browser Support**: Works best in modern browsers with Web Audio API support
- **File Types**: Currently supports MP3 format only

## 🎨 Technical Details

- **Frontend**: Pure HTML5, CSS3, and JavaScript
- **Audio Processing**: Web Audio API
- **Animations**: CSS Animations and SVG
- **Theme**: Custom dark theme with nostalgic UI elements

## 🛠️ Deployment Options

1. **Local Usage**
   - Download and open `index.html` directly

2. **Web Server** (optional)
   ```bash
   # Using Python
   python -m http.server 8000
   
   # Using Node.js
   npx serve
   ```

## 🤝 Contributing

Contributions are welcome! Please feel free to submit a Pull Request.

## 📄 License

This project is open source and available under the MIT License.

## 🙏 Acknowledgments

Created with ❤️ by Mitch Donaberger (_January 2025_)

---

_Note: This is a prototype created for nostalgic enjoyment. For best results, use a modern web browser with support for the `<audio>` tags._
